//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Access/DataPropertyWidget.h
//! @brief     Defines class DataPropertyWidget.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2022
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_ACCESS_DATAPROPERTYWIDGET_H
#define BORNAGAIN_GUI_VIEW_ACCESS_DATAPROPERTYWIDGET_H

#include "GUI/View/Access/DataAccessWidget.h"
#include <QFormLayout>

class DataItem;
class InstrumentItem;

//! Base class for AxesPanel and AxisPanel.

class DataPropertyWidget : public DataAccessWidget {
    Q_OBJECT
public:
    explicit DataPropertyWidget();

    void setJobOrDatafileItem(QObject* item);

signals:
    void axesRangeResetRequested();

protected:
    void updateItemCoords(DataItem* item);
    void updateUIValues();
    virtual void createPanelElements() = 0;

    QFormLayout* m_main_layout;
    QList<std::function<void()>> m_updaters;
};

#endif // BORNAGAIN_GUI_VIEW_ACCESS_DATAPROPERTYWIDGET_H
