//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Access/MaskFlags.h
//! @brief     Defines namespace MaskFlags.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_ACCESS_MASKFLAGS_H
#define BORNAGAIN_GUI_VIEW_ACCESS_MASKFLAGS_H

//! Various flags for MaskEditor operation

namespace MaskFlags {

enum MaskMode {
    SELECTION_MODE,
    PAN_ZOOM_MODE,
    RECTANGLE_MODE,
    POLYGON_MODE,
    VERTICAL_LINE_MODE,
    HORIZONTAL_LINE_MODE,
    ELLIPSE_MODE,
    ROI_MODE,
    MASKALL_MODE,
};

} // namespace MaskFlags

#endif // BORNAGAIN_GUI_VIEW_ACCESS_MASKFLAGS_H
