//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Setup/FrameActions.h
//! @brief     Defines class FrameActions.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_SETUP_FRAMEACTIONS_H
#define BORNAGAIN_GUI_VIEW_SETUP_FRAMEACTIONS_H

#include <QAction>

//! Defines actions for MaskEditor which are related to selected MaskItem (toggle mask value,
//! lower/rize mask in the stack, delete mask). If more than one MaskItem is selected,
//! action will be applied to the whole selection, if possible.

class FrameActions {
public:
    FrameActions();

    QAction* toggle_mask_value;
    QAction* raise_mask;
    QAction* lower_mask;
    QAction* delete_mask;

    QAction* delete_projection;

    QAction* reset_view;
    QAction* save_plot;
    QAction* save_projections;

    QAction* toggle_properties_panel;

    QAction* cycle_data2d_edit_mode;
};

extern FrameActions* gActions;

#endif // BORNAGAIN_GUI_VIEW_SETUP_FRAMEACTIONS_H
